> For the complete documentation index, see [llms.txt](https://docs.allganize.ai/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allganize.ai/api-reference/user-management.md).

# User Management

Project Member and user related APIs

## List Agents

> This API allows you to list agents (users) in the project.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Query Parameters\
> \
> \- offset (integer, optional): The number of items to skip. Defaults to \*\*0\*\*.\
> \- limit (integer, optional): The maximum number of agents to return. Defaults to \*\*100\*\*.\
> \- email (string, optional): Filter agents by email address.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"AgentsResponse":{"properties":{"agents":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Agents","type":"array"}},"required":["agents"],"title":"AgentsResponse","type":"object"},"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"}}},"paths":{"/webapi/v2/agents":{"get":{"operationId":"django_server_project_views_rest_agent_api_get_agents","summary":"List Agents","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"offset","schema":{"default":0,"title":"Offset","type":"integer"},"required":false},{"in":"query","name":"limit","schema":{"default":100,"title":"Limit","type":"integer"},"required":false},{"in":"query","name":"email","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentsResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to list agents (users) in the project.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Query Parameters\n\n- offset (integer, optional): The number of items to skip. Defaults to **0**.\n- limit (integer, optional): The maximum number of agents to return. Defaults to **100**.\n- email (string, optional): Filter agents by email address.","tags":["User Management"]}}}}
```

## Get Agent

> This API allows you to retrieve a single agent by ID.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"}}},"paths":{"/webapi/v2/agents/{agent_id}":{"get":{"operationId":"django_server_project_views_rest_agent_api_get_agent_detail","summary":"Get Agent","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"agent_id","schema":{"title":"Agent Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to retrieve a single agent by ID.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.","tags":["User Management"]}}}}
```

## Bulk User Actions

> This API allows you to create, update, or delete users in bulk. Supports up to 100 users per request.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- action (string, required): The bulk action type. Must be \`create\`, \`update\`, or \`delete\`.\
> \- users (array\[object], required): List of user objects. Each must contain:\
> \- users\[].ownUserId (string, required): Unique ID of the user.\
> \- users\[].data (array\[object], optional): Key-value pairs. Required for \`create\` and \`update\`. Supported keys: \`EMAIL\`, \`FIRST\_NAME\`, \`LAST\_NAME\`, \`CUSTOMER\_GROUP\`.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"BulkUserResponse":{"properties":{"result":{"items":{"$ref":"#/components/schemas/BulkUserResultBody"},"title":"Result","type":"array"}},"title":"BulkUserResponse","type":"object"},"BulkUserResultBody":{"properties":{"ownUserId":{"description":"Unique ID of the user (e.g., employee code)","title":"Ownuserid","type":"string"},"status":{"$ref":"#/components/schemas/BulkUserResultStatus","description":"Status of the result"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Error message","title":"Message"}},"required":["ownUserId","status"],"title":"BulkUserResultBody","type":"object"},"BulkUserResultStatus":{"enum":["success","error"],"title":"BulkUserResultStatus","type":"string"},"BulkUserRequest":{"properties":{"action":{"$ref":"#/components/schemas/BulkUserActionType"},"users":{"items":{"$ref":"#/components/schemas/BulkUserBody"},"title":"Users","type":"array"}},"required":["action"],"title":"BulkUserRequest","type":"object"},"BulkUserActionType":{"enum":["create","update","delete"],"title":"BulkUserActionType","type":"string"},"BulkUserBody":{"properties":{"ownUserId":{"description":"Unique ID of the user (e.g., employee code)","title":"Ownuserid","type":"string"},"data":{"description":"Key-value pairs of user data. Required for 'create' and 'update' actions.","items":{"$ref":"#/components/schemas/BulkUserData"},"title":"Data","type":"array"}},"required":["ownUserId"],"title":"BulkUserBody","type":"object"},"BulkUserData":{"properties":{"key":{"description":"Field name","title":"Key","type":"string"},"value":{"description":"Field value","title":"Value","type":"string"}},"required":["key","value"],"title":"BulkUserData","type":"object"}}},"paths":{"/webapi/v2/users/bulk":{"post":{"operationId":"django_server_project_views_rest_bulk_user_api_perform_bulk_user_actions","summary":"Bulk User Actions","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkUserResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to create, update, or delete users in bulk. Supports up to 100 users per request.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- action (string, required): The bulk action type. Must be `create`, `update`, or `delete`.\n- users (array[object], required): List of user objects. Each must contain:\n- users[].ownUserId (string, required): Unique ID of the user.\n- users[].data (array[object], optional): Key-value pairs. Required for `create` and `update`. Supported keys: `EMAIL`, `FIRST_NAME`, `LAST_NAME`, `CUSTOMER_GROUP`.","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkUserRequest"}}},"required":true}}}}}
```

## Get User

> This API allows you to retrieve a user by their unique user ID.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- own\_user\_id (string, required): The unique user ID to look up.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"GetUserResponse":{"properties":{"result":{"$ref":"#/components/schemas/User","description":"Result"}},"required":["result"],"title":"GetUserResponse","type":"object"},"User":{"properties":{"userId":{"description":"Unique ID of the user","title":"Userid","type":"string"},"firstName":{"description":"First name of the user","title":"Firstname","type":"string"},"lastName":{"description":"Last name of the user","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"}}},"paths":{"/webapi/v2/user/{own_user_id}":{"get":{"operationId":"django_server_project_views_rest_user_api_get_user","summary":"Get User","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"own_user_id","schema":{"title":"Own User Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to retrieve a user by their unique user ID.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- own_user_id (string, required): The unique user ID to look up.\n","tags":["User Management"]}}}}
```

## Bulk Invite Members

> This API allows you to invite members to a project in bulk. Supports up to 100 members per request.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- members (array\[object], required): List of member objects to invite. Each contains:\
> \- members\[].email (string, required): Email address of the member to invite.\
> \- members\[].firstName (string, optional): First name of the member.\
> \- members\[].lastName (string, optional): Last name of the member.\
> \- members\[].locale (string, optional): Locale of the member (e.g., \`en\`, \`ko\`, \`ja\`).\
> \- members\[].groups (array\[string], optional): Permission group names to assign.\
> \- members\[].attributes (object, optional): Additional key-value attributes.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"BulkMemberResponse":{"description":"Response for bulk member operations.","properties":{"result":{"items":{"$ref":"#/components/schemas/BulkTaskResult"},"title":"Result","type":"array"}},"title":"BulkMemberResponse","type":"object"},"BulkTaskResult":{"description":"Result of a bulk task operation.","properties":{"emails":{"items":{"type":"string"},"title":"Emails","type":"array"},"status":{"title":"Status","type":"string"},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Errormessage"}},"required":["emails","status"],"title":"BulkTaskResult","type":"object"},"BulkMemberInviteRequest":{"description":"Request for bulk inviting members.","properties":{"members":{"items":{"$ref":"#/components/schemas/MemberMetadata"},"title":"Members","type":"array"}},"title":"BulkMemberInviteRequest","type":"object"},"MemberMetadata":{"description":"Metadata for inviting or managing project members.","properties":{"email":{"title":"Email","type":"string"},"firstName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Firstname"},"lastName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lastname"},"locale":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Locale"},"groups":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Groups"},"attributes":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Attributes"}},"required":["email"],"title":"MemberMetadata","type":"object"}}},"paths":{"/webapi/v2/members/bulk/invite":{"post":{"operationId":"django_server_project_views_rest_bulk_member_api_bulk_invite_members","summary":"Bulk Invite Members","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to invite members to a project in bulk. Supports up to 100 members per request.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- members (array[object], required): List of member objects to invite. Each contains:\n- members[].email (string, required): Email address of the member to invite.\n- members[].firstName (string, optional): First name of the member.\n- members[].lastName (string, optional): Last name of the member.\n- members[].locale (string, optional): Locale of the member (e.g., `en`, `ko`, `ja`).\n- members[].groups (array[string], optional): Permission group names to assign.\n- members[].attributes (object, optional): Additional key-value attributes.","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberInviteRequest"}}},"required":true}}}}}
```

## Bulk Update Member Permissions

> This API allows you to update permission groups for existing members in bulk.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- members (array\[object], required): List of member objects to update. Each contains:\
> \- members\[].email (string, required): Email address of the member to update.\
> \- members\[].groups (array\[string], optional): Permission group names to assign.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"BulkMemberResponse":{"description":"Response for bulk member operations.","properties":{"result":{"items":{"$ref":"#/components/schemas/BulkTaskResult"},"title":"Result","type":"array"}},"title":"BulkMemberResponse","type":"object"},"BulkTaskResult":{"description":"Result of a bulk task operation.","properties":{"emails":{"items":{"type":"string"},"title":"Emails","type":"array"},"status":{"title":"Status","type":"string"},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Errormessage"}},"required":["emails","status"],"title":"BulkTaskResult","type":"object"},"BulkMemberUpdatePermissionRequest":{"description":"Request for bulk updating member permission groups.","properties":{"members":{"items":{"$ref":"#/components/schemas/MemberMetadata"},"title":"Members","type":"array"}},"title":"BulkMemberUpdatePermissionRequest","type":"object"},"MemberMetadata":{"description":"Metadata for inviting or managing project members.","properties":{"email":{"title":"Email","type":"string"},"firstName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Firstname"},"lastName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lastname"},"locale":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Locale"},"groups":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Groups"},"attributes":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Attributes"}},"required":["email"],"title":"MemberMetadata","type":"object"}}},"paths":{"/webapi/v2/members/bulk/update_permission_groups":{"post":{"operationId":"django_server_project_views_rest_bulk_member_api_bulk_update_member_permission_groups","summary":"Bulk Update Member Permissions","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to update permission groups for existing members in bulk.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- members (array[object], required): List of member objects to update. Each contains:\n- members[].email (string, required): Email address of the member to update.\n- members[].groups (array[string], optional): Permission group names to assign.","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberUpdatePermissionRequest"}}},"required":true}}}}}
```

## Bulk Remove Members

> This API allows you to remove members from a project in bulk. Supports up to 100 members per request.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- members (array\[object], required): List of member objects to remove. Each contains:\
> \- members\[].email (string, required): Email address of the member to remove.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"BulkMemberResponse":{"description":"Response for bulk member operations.","properties":{"result":{"items":{"$ref":"#/components/schemas/BulkTaskResult"},"title":"Result","type":"array"}},"title":"BulkMemberResponse","type":"object"},"BulkTaskResult":{"description":"Result of a bulk task operation.","properties":{"emails":{"items":{"type":"string"},"title":"Emails","type":"array"},"status":{"title":"Status","type":"string"},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Errormessage"}},"required":["emails","status"],"title":"BulkTaskResult","type":"object"},"BulkMemberRemoveRequest":{"description":"Request for bulk removing members.","properties":{"members":{"items":{"$ref":"#/components/schemas/MemberMetadata"},"title":"Members","type":"array"}},"title":"BulkMemberRemoveRequest","type":"object"},"MemberMetadata":{"description":"Metadata for inviting or managing project members.","properties":{"email":{"title":"Email","type":"string"},"firstName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Firstname"},"lastName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lastname"},"locale":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Locale"},"groups":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Groups"},"attributes":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Attributes"}},"required":["email"],"title":"MemberMetadata","type":"object"}}},"paths":{"/webapi/v2/members/bulk/remove":{"post":{"operationId":"django_server_project_views_rest_bulk_member_api_bulk_remove_members","summary":"Bulk Remove Members","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to remove members from a project in bulk. Supports up to 100 members per request.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- members (array[object], required): List of member objects to remove. Each contains:\n- members[].email (string, required): Email address of the member to remove.","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMemberRemoveRequest"}}},"required":true}}}}}
```

## List Permission Groups

> This API allows you to list permission groups in the project.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Query Parameters\
> \
> \- search\_term (string, optional): Filter permission groups by name.\
> \- limit (integer, optional): Maximum number of results to return. Defaults to \*\*100\*\*.\
> \- offset (integer, optional): Number of results to skip for pagination. Defaults to \*\*0\*\*.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"PermissionGroupsResponse":{"properties":{"permissionGroups":{"items":{"$ref":"#/components/schemas/PermissionGroupResponse"},"title":"Permissiongroups","type":"array"}},"required":["permissionGroups"],"title":"PermissionGroupsResponse","type":"object"},"PermissionGroupResponse":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"isAdmin":{"title":"Isadmin","type":"boolean"},"isDefault":{"title":"Isdefault","type":"boolean"},"order":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Order"},"permissions":{"items":{"type":"string"},"title":"Permissions","type":"array"},"agentCount":{"title":"Agentcount","type":"integer"}},"required":["id","name","isAdmin","isDefault","order","permissions","agentCount"],"title":"PermissionGroupResponse","type":"object"}}},"paths":{"/webapi/v2/permission_groups":{"get":{"operationId":"django_server_project_views_rest_permission_group_api_get_permission_groups","summary":"List Permission Groups","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"search_term","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Term"},"required":false},{"in":"query","name":"limit","schema":{"default":100,"title":"Limit","type":"integer"},"required":false},{"in":"query","name":"offset","schema":{"default":0,"title":"Offset","type":"integer"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionGroupsResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to list permission groups in the project.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Query Parameters\n\n- search_term (string, optional): Filter permission groups by name.\n- limit (integer, optional): Maximum number of results to return. Defaults to **100**.\n- offset (integer, optional): Number of results to skip for pagination. Defaults to **0**.\n","tags":["User Management"]}}}}
```

## Create Permission Group

> This API allows you to create a new permission group.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- name (string, required): Name of the permission group.\
> \- agentIds (array of strings, optional): List of agent IDs to assign to the group. Defaults to \*\*\[]\*\*.\
> \- permissions (array of strings, optional): List of permission values to grant. Dependent permissions must be included together. Defaults to \*\*\[]\*\*.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"PermissionGroupDetailResponse":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"isAdmin":{"title":"Isadmin","type":"boolean"},"isDefault":{"title":"Isdefault","type":"boolean"},"order":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Order"},"permissions":{"items":{"type":"string"},"title":"Permissions","type":"array"},"agents":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Agents","type":"array"}},"required":["id","name","isAdmin","isDefault","order","permissions","agents"],"title":"PermissionGroupDetailResponse","type":"object"},"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"},"CreatePermissionGroupRequest":{"properties":{"name":{"title":"Name","type":"string"},"agentIds":{"items":{"type":"string"},"title":"Agentids","type":"array"},"permissions":{"items":{"$ref":"#/components/schemas/AgentPermissionEnum"},"title":"Permissions","type":"array"}},"required":["name"],"title":"CreatePermissionGroupRequest","type":"object"},"AgentPermissionEnum":{"enum":["dashboard_accessible","skill_read","skill_write","skill_popup_url_generation","llm_app_read","llm_app_create","user_page_access","user_editable","user_download","conversations_read","agent_assignable","conversation_state_write","delete_chat_message","delete_agent_chat_message","consversation_download","smalltalk_read","smalltalk_editable","document_page_access","knowledge_base_editable","knowledge_base_add_folder_write","document_knowledge_refinery_write","knowledge_base_page_access","faq_editable","faq_train_write","faq_setting_read","faq_setting_write","faq_add_folder_write","feedback_management_read","clue_feedback_write","answer_feedback_write","query_history_redactable","knowledge_base_history_read","faq_history_read","query_training_read","query_training_write","faq_auto_tagging_read","faq_auto_tagging_write","doc_source_read","doc_source_write","knowledge_base_setting_read","knowledge_base_setting_write","knowledge_refinery_setting_read","knowledge_refinery_setting_write","knowledge_base_train_write","entity_extraction_read","entity_extraction_editable","entity_extraction_download","training_schedule_write","google_domain_allowlist_read","google_domain_allowlist_write","analytics_page_access","redact_keyword_write","analytics_download","project_setting_page_access","project_setting_read","project_setting_write","project_setting_general_write","project_setting_api_key_write","office_hours_editable","faq_custom_columns_write","dashboard_whitelist_write","sdk_whitelist_write","api_whitelist_write","files_whitelist_write","account_policy_write","oidc_clients_write","conversations_write","billing","integrations_read","integrations_write","dashboard_order_write","advanced_setting_read","manage_agent_read","manage_agent_write","agent_invitable","agent_action_log_download_read","approver_group_write","ai_workflow_read","ai_workflow_write","prompt_management_read","project_scope_prompt_read","project_scope_prompt_write","announcement_read","announcement_write","variable_management_read","variable_management_write","agent_skill_read","agent_skill_write","mcp_write","works_admin_console_read","works_general_settings_read","works_general_settings_write","works_member_settings_read","works_usage_history_read"],"title":"AgentPermissionEnum","type":"string"}}},"paths":{"/webapi/v2/permission_groups":{"post":{"operationId":"django_server_project_views_rest_permission_group_api_create_permission_group","summary":"Create Permission Group","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionGroupDetailResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to create a new permission group.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- name (string, required): Name of the permission group.\n- agentIds (array of strings, optional): List of agent IDs to assign to the group. Defaults to **[]**.\n- permissions (array of strings, optional): List of permission values to grant. Dependent permissions must be included together. Defaults to **[]**.\n","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePermissionGroupRequest"}}},"required":true}}}}}
```

## Get Permission Group

> This API allows you to retrieve a single permission group by ID.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- permission\_group\_id (string, required): The ID of the permission group to retrieve.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"PermissionGroupDetailResponse":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"isAdmin":{"title":"Isadmin","type":"boolean"},"isDefault":{"title":"Isdefault","type":"boolean"},"order":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Order"},"permissions":{"items":{"type":"string"},"title":"Permissions","type":"array"},"agents":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Agents","type":"array"}},"required":["id","name","isAdmin","isDefault","order","permissions","agents"],"title":"PermissionGroupDetailResponse","type":"object"},"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"}}},"paths":{"/webapi/v2/permission_groups/{permission_group_id}":{"get":{"operationId":"django_server_project_views_rest_permission_group_api_get_permission_group","summary":"Get Permission Group","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"permission_group_id","schema":{"title":"Permission Group Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionGroupDetailResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to retrieve a single permission group by ID.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- permission_group_id (string, required): The ID of the permission group to retrieve.\n","tags":["User Management"]}}}}
```

## Delete Permission Group

> This API allows you to delete a permission group.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- permission\_group\_id (string, required): The ID of the permission group to delete.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/permission_groups/{permission_group_id}":{"delete":{"operationId":"django_server_project_views_rest_permission_group_api_delete_permission_group","summary":"Delete Permission Group","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"permission_group_id","schema":{"title":"Permission Group Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to delete a permission group.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- permission_group_id (string, required): The ID of the permission group to delete.\n","tags":["User Management"]}}}}
```

## List Permission Group Agents

> This API allows you to list all agents assigned to a specific permission group.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- permission\_group\_id (string, required): The ID of the permission group.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"}}},"paths":{"/webapi/v2/permission_groups/{permission_group_id}/agents":{"get":{"operationId":"django_server_project_views_rest_permission_group_api_get_permission_group_agents","summary":"List Permission Group Agents","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"permission_group_id","schema":{"title":"Permission Group Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Response","type":"array"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to list all agents assigned to a specific permission group.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- permission_group_id (string, required): The ID of the permission group.\n","tags":["User Management"]}}}}
```

## Update Permission Group Name

> This API allows you to rename an existing permission group.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- permission\_group\_id (string, required): The ID of the permission group to rename.\
> \
> \## Request Body\
> \
> \- name (string, required): The new name for the permission group.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"PermissionGroupDetailResponse":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"isAdmin":{"title":"Isadmin","type":"boolean"},"isDefault":{"title":"Isdefault","type":"boolean"},"order":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Order"},"permissions":{"items":{"type":"string"},"title":"Permissions","type":"array"},"agents":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Agents","type":"array"}},"required":["id","name","isAdmin","isDefault","order","permissions","agents"],"title":"PermissionGroupDetailResponse","type":"object"},"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"},"UpdatePermissionGroupNameRequest":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"UpdatePermissionGroupNameRequest","type":"object"}}},"paths":{"/webapi/v2/permission_groups/{permission_group_id}/name":{"put":{"operationId":"django_server_project_views_rest_permission_group_api_update_permission_group_name","summary":"Update Permission Group Name","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"permission_group_id","schema":{"title":"Permission Group Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionGroupDetailResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to rename an existing permission group.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- permission_group_id (string, required): The ID of the permission group to rename.\n\n## Request Body\n\n- name (string, required): The new name for the permission group.\n","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePermissionGroupNameRequest"}}},"required":true}}}}}
```

## Update Permission Group Permissions

> This API allows you to replace the permission set of an existing permission group.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Path Parameters\
> \
> \- permission\_group\_id (string, required): The ID of the permission group to update.\
> \
> \## Request Body\
> \
> \- permissions (array of strings, required): The new set of permissions. Dependent permissions must be included together.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"PermissionGroupDetailResponse":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"isAdmin":{"title":"Isadmin","type":"boolean"},"isDefault":{"title":"Isdefault","type":"boolean"},"order":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Order"},"permissions":{"items":{"type":"string"},"title":"Permissions","type":"array"},"agents":{"items":{"$ref":"#/components/schemas/AgentResponse"},"title":"Agents","type":"array"}},"required":["id","name","isAdmin","isDefault","order","permissions","agents"],"title":"PermissionGroupDetailResponse","type":"object"},"AgentResponse":{"properties":{"id":{"title":"Id","type":"string"},"lastName":{"title":"Lastname","type":"string"},"firstName":{"title":"Firstname","type":"string"},"email":{"title":"Email","type":"string"}},"required":["id","lastName","firstName","email"],"title":"AgentResponse","type":"object"},"UpdatePermissionGroupPermissionsRequest":{"properties":{"permissions":{"items":{"$ref":"#/components/schemas/AgentPermissionEnum"},"title":"Permissions","type":"array"}},"required":["permissions"],"title":"UpdatePermissionGroupPermissionsRequest","type":"object"},"AgentPermissionEnum":{"enum":["dashboard_accessible","skill_read","skill_write","skill_popup_url_generation","llm_app_read","llm_app_create","user_page_access","user_editable","user_download","conversations_read","agent_assignable","conversation_state_write","delete_chat_message","delete_agent_chat_message","consversation_download","smalltalk_read","smalltalk_editable","document_page_access","knowledge_base_editable","knowledge_base_add_folder_write","document_knowledge_refinery_write","knowledge_base_page_access","faq_editable","faq_train_write","faq_setting_read","faq_setting_write","faq_add_folder_write","feedback_management_read","clue_feedback_write","answer_feedback_write","query_history_redactable","knowledge_base_history_read","faq_history_read","query_training_read","query_training_write","faq_auto_tagging_read","faq_auto_tagging_write","doc_source_read","doc_source_write","knowledge_base_setting_read","knowledge_base_setting_write","knowledge_refinery_setting_read","knowledge_refinery_setting_write","knowledge_base_train_write","entity_extraction_read","entity_extraction_editable","entity_extraction_download","training_schedule_write","google_domain_allowlist_read","google_domain_allowlist_write","analytics_page_access","redact_keyword_write","analytics_download","project_setting_page_access","project_setting_read","project_setting_write","project_setting_general_write","project_setting_api_key_write","office_hours_editable","faq_custom_columns_write","dashboard_whitelist_write","sdk_whitelist_write","api_whitelist_write","files_whitelist_write","account_policy_write","oidc_clients_write","conversations_write","billing","integrations_read","integrations_write","dashboard_order_write","advanced_setting_read","manage_agent_read","manage_agent_write","agent_invitable","agent_action_log_download_read","approver_group_write","ai_workflow_read","ai_workflow_write","prompt_management_read","project_scope_prompt_read","project_scope_prompt_write","announcement_read","announcement_write","variable_management_read","variable_management_write","agent_skill_read","agent_skill_write","mcp_write","works_admin_console_read","works_general_settings_read","works_general_settings_write","works_member_settings_read","works_usage_history_read"],"title":"AgentPermissionEnum","type":"string"}}},"paths":{"/webapi/v2/permission_groups/{permission_group_id}/permissions":{"put":{"operationId":"django_server_project_views_rest_permission_group_api_update_permission_group_permissions","summary":"Update Permission Group Permissions","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"permission_group_id","schema":{"title":"Permission Group Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionGroupDetailResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"This API allows you to replace the permission set of an existing permission group.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Path Parameters\n\n- permission_group_id (string, required): The ID of the permission group to update.\n\n## Request Body\n\n- permissions (array of strings, required): The new set of permissions. Dependent permissions must be included together.\n","tags":["User Management"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePermissionGroupPermissionsRequest"}}},"required":true}}}}}
```

## List Single Action App Tools

> This API allows you to retrieve all single action app tools available in the project.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/single_action_app_tools":{"get":{"tags":["User Management"],"operationId":"getSingleActionAppTools","summary":"List Single Action App Tools","description":"This API allows you to retrieve all single action app tools available in the project.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n","responses":{"200":{"description":"Successfully retrieved single action app tools","content":{"application/json":{"schema":{"type":"object","properties":{"tools":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the tool"},"name":{"type":"string","description":"The function name of the single action app. it is generated by id and prefix \"func_\""},"display_name":{"type":"string","description":"The display name of the single action app"},"description":{"type":"string","description":"Description of what the single action app does"},"single_action_inputs":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Input field name"},"type":{"type":"string","description":"Input field type (text, paragraph, etc.)"},"description":{"type":"string","description":"Description of the input field"}}}}}}}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Get Single Action App Tool

> This API allows you to retrieve a specific single action app tool by its function name.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/single_action_app_tool/{tool_name}":{"get":{"tags":["User Management"],"operationId":"getSingleActionAppToolByName","summary":"Get Single Action App Tool","description":"This API allows you to retrieve a specific single action app tool by its function name.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"tool_name","in":"path","required":true,"schema":{"type":"string"},"description":"Name of the tool to retrieve"},{"name":"tool_name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved the single action app tool","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates if the operation was successful"},"tool":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the tool"},"name":{"type":"string","description":"The function name of the single action app. it is generated by id and prefix \"func_\""},"display_name":{"type":"string","description":"The display name of the single action app"},"description":{"type":"string","description":"Description of what the single action app does"},"single_action_inputs":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Input field name"},"type":{"type":"string","description":"Input field type (text, paragraph, etc.)"},"description":{"type":"string","description":"Description of the input field"}}}}}}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"404":{"description":"Tool not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"}}}}}},"500":{"description":"Internal server error."}}}}}}
```

## List Agent Tools

> This API allows you to retrieve all published agent tools available in the project.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/agent_tools":{"get":{"tags":["User Management"],"operationId":"getAgentTools","summary":"List Agent Tools","description":"This API allows you to retrieve all published agent tools available in the project.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n","responses":{"200":{"description":"Successfully retrieved agent tools","content":{"application/json":{"schema":{"type":"object","properties":{"tools":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the agent"},"name":{"type":"string","description":"The function name of the agent. it is generated by id and prefix \"func_\""},"display_name":{"type":"string","description":"The display name of the agent"},"description":{"type":"string","description":"Description of what the agent does"},"project_id":{"type":"string","description":"The project ID"},"published":{"type":"boolean","description":"Whether the agent is published"},"variables":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Variable name"},"type":{"type":"string","description":"Variable type (string, integer, etc.)"},"description":{"type":"string","description":"Description of the variable"},"required":{"type":"boolean","description":"Whether the variable is required"}}}}}}}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Get Agent Tool

> This API allows you to retrieve a specific agent tool by its function name.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/agent_tool/{tool_name}":{"get":{"tags":["User Management"],"operationId":"getAgentToolByName","summary":"Get Agent Tool","description":"This API allows you to retrieve a specific agent tool by its function name.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"tool_name","in":"path","required":true,"schema":{"type":"string"},"description":"Name of the agent tool to retrieve"},{"name":"tool_name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved the agent tool","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates if the operation was successful"},"tool":{"type":"object","description":"The agent tool data"}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"404":{"description":"Agent tool not found"},"500":{"description":"Internal server error."}}}}}}
```

## Get OAuth2 Information

> This API allows you to retrieve OAuth2 configuration information for an AI agent using the OAuth state parameter.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- state (string, required): OAuth2 state parameter to identify the OAuth configuration.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/oauth2_information":{"post":{"tags":["User Management"],"operationId":"getOauth2Information","summary":"Get OAuth2 Information","description":"This API allows you to retrieve OAuth2 configuration information for an AI agent using the OAuth state parameter.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- state (string, required): OAuth2 state parameter to identify the OAuth configuration.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"state":{"type":"string","description":"OAuth2 state parameter to identify the OAuth configuration"}},"required":["state"]}}}},"responses":{"200":{"description":"Successfully retrieved OAuth2 information","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates if the operation was successful"},"oauth2_info":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the OAuth2 information"},"hub_id":{"type":"string","description":"Hub identifier"},"configuration_name":{"type":"string","description":"Name of the OAuth2 configuration"},"authorization_url":{"type":"string","description":"OAuth2 authorization URL"},"token_url":{"type":"string","description":"OAuth2 token URL"},"client_id":{"type":"string","description":"OAuth2 client ID"},"client_secret":{"type":"string","description":"OAuth2 client secret"},"scope":{"type":"array","items":{"type":"string"},"description":"OAuth2 scopes"},"redirect_uri":{"type":"string","description":"OAuth2 redirect URI"},"place_access_token":{"type":"string","description":"Where to place access token"},"place_expires_in":{"type":"string","description":"Where to place expires_in value"},"place_refresh_token":{"type":"string","description":"Where to place refresh token"},"place_token_type":{"type":"string","description":"Where to place token type"},"headers":{"type":"object","description":"Additional headers configuration"},"additional":{"type":"object","description":"Additional configuration data"},"token_info":{"type":"object","description":"Current token information"},"token_generated":{"type":"number","description":"Token generation timestamp"},"state":{"type":"string","description":"OAuth2 state parameter"},"code_verifier":{"type":"string","description":"PKCE code verifier"}}}}}}}},"400":{"description":"Bad request - invalid input","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"}}}}}},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"404":{"description":"OAuth2 information not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"}}}}}},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Update OAuth2 Token Information

> This API allows you to update OAuth2 token information (tokenInfo and tokenGenerated) for an existing OAuth configuration.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- state (string, required): OAuth2 state parameter to identify the OAuth configuration.\
> \- tokenInfo (object, optional): Updated token information.\
> \- tokenGenerated (number, optional): Timestamp when the token was generated.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/agent_builder/oauth2_information/update":{"post":{"tags":["User Management"],"operationId":"updateOauth2Information","summary":"Update OAuth2 Token Information","description":"This API allows you to update OAuth2 token information (tokenInfo and tokenGenerated) for an existing OAuth configuration.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- state (string, required): OAuth2 state parameter to identify the OAuth configuration.\n- tokenInfo (object, optional): Updated token information.\n- tokenGenerated (number, optional): Timestamp when the token was generated.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"state":{"type":"string","description":"OAuth2 state parameter to identify the OAuth configuration"},"tokenInfo":{"type":"object","description":"Updated token information"},"tokenGenerated":{"type":"number","description":"Timestamp when the token was generated"}},"required":["state"]}}}},"responses":{"200":{"description":"Successfully updated OAuth2 information","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates if the operation was successful"}}}}}},"400":{"description":"Bad request - invalid input","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"}}}}}},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"404":{"description":"OAuth2 information not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"}}}}}},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Bulk Update User Variables

> This API allows you to update custom variable values for multiple users in bulk.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Request Body\
> \
> \- customer\_list (array\[object], required): List of user variable updates, each containing:\
> &#x20; \- customer\_id (string, required): The user's own\_user\_id.\
> &#x20; \- variable\_name (string, required): The name of the variable to update.\
> &#x20; \- value (string, required): The new value for the variable.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/variables/update":{"post":{"tags":["User Management"],"operationId":"updateVariables","summary":"Bulk Update User Variables","description":"This API allows you to update custom variable values for multiple users in bulk.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Request Body\n\n- customer_list (array[object], required): List of user variable updates, each containing:\n  - customer_id (string, required): The user's own_user_id.\n  - variable_name (string, required): The name of the variable to update.\n  - value (string, required): The new value for the variable.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"customer_list":{"type":"array","items":{"type":"object","properties":{"customer_id":{"type":"string"},"variable_name":{"type":"string"},"value":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"Successfully updated variables","content":{"application/json":{"schema":{"type":"object","properties":{"updated":{"type":"integer"}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## List Users

> This API allows you to list users in the project with optional filtering by customer group and pagination.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
> \- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\
> \- USER-EMAIL (string, optional): The email address to associate with the user.\
> \- OWN-USER-ID (string, optional): The user ID to identify or create a user.\
> \
> \## Query Parameters\
> \
> \- limit (integer, optional): Number of users to return per page. Maximum is 1000. Defaults to \*\*10\*\*.\
> \- offset (integer, optional): Number of users to skip for pagination. Defaults to \*\*0\*\*.\
> \- customerGroup (string, optional): Filter users by customer group name.\
> \- requiredVariables (string, optional): Comma-separated list of custom variable names to include in the response.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"User Management","description":"Project Member and user related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/users":{"get":{"tags":["User Management"],"operationId":"getUsers","summary":"List Users","description":"This API allows you to list users in the project with optional filtering by customer group and pagination.\n\n## Headers\n\n- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\n- AGENT-EMAIL (string, optional): The email address of the agent performing the API call.\n- USER-EMAIL (string, optional): The email address to associate with the user.\n- OWN-USER-ID (string, optional): The user ID to identify or create a user.\n\n## Query Parameters\n\n- limit (integer, optional): Number of users to return per page. Maximum is 1000. Defaults to **10**.\n- offset (integer, optional): Number of users to skip for pagination. Defaults to **0**.\n- customerGroup (string, optional): Filter users by customer group name.\n- requiredVariables (string, optional): Comma-separated list of custom variable names to include in the response.\n","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"customerGroup","in":"query","required":false,"schema":{"type":"string"}},{"name":"requiredVariables","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved users","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"type":"object"}},"count":{"type":"integer"},"totalCount":{"type":"integer"}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}}}}}}
```

## Get User

> This API allows you to retrieve a user by their own\_user\_id.\
> \
> \## Headers\
> \
> \- API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.\
[...]
